Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1663399 - [ALL LANG][RHSM CLI] Unlocalized message "'HTTP error code 500'" in redeem module.
Summary: [ALL LANG][RHSM CLI] Unlocalized message "'HTTP error code 500'" in redeem m...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: subscription-manager
Version: 8.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: candlepin-bugs
QA Contact: Red Hat subscription-manager QE Team
URL:
Whiteboard:
Depends On: 1682763
Blocks: 1725522
TreeView+ depends on / blocked
 
Reported: 2019-01-04 08:08 UTC by Lijun Li
Modified: 2021-05-13 08:11 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1725522 (view as bug list)
Environment:
Last Closed: 2021-02-01 07:31:36 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Lijun Li 2019-01-04 08:08:55 UTC
Description of problem:
[ALL LANG][RHSM CLI] Unlocalized message in redeem module.

Version-Release number of selected component (if applicable):
subscription-manager-1.23.8-11.el8.x86_64.rpm

How reproducible:
100%

Steps to Reproduce:
1. Install latest rhel8 workstation build.
2. Run rhsm cli from terminal.

Actual results:
# subscription-manager redeem --email=test
HTTP 错误代码 500: The system is unable to redeem the requested subscription: 
                  ^^^^^^^^^^^^^^^^^^^^^^Unlocalized message.

Expected results:
It should be localized.

Additional info:

Comment 1 Kevin Howell 2019-01-21 15:39:45 UTC
Already fixed?

Comment 2 Chris Snyder 2019-01-21 19:23:15 UTC
HTTP エラーコード 500: システムは要求されたサブスクリプション:  の償還をできません

The output for me using the latest built subscription-manager is as follows: (with LANG=ja_JP.utf-8)
HTTP エラーコード 500: システムは要求されたサブスクリプション:  の償還をできません


Lijun Li,

When I try this against the latest subscription-manager available for RHEL8 (subscription-manager-1.23.8-14.el8) I am unable to reproduce this failure exactly.

I believe this to be fixed. Can you confirm?

If you agree that it appears fixed, please close this bug as current release.

Thank you!

Comment 3 John Sefler 2019-01-30 21:52:38 UTC
Retesting against version....
[root@kvm-01-guest04 ~]# rpm -q subscription-manager
subscription-manager-1.23.8-14.el8.x86_64


[root@kvm-01-guest04 ~]# for L in en_US de_DE es_ES fr_FR it_IT ja_JP ko_KR pt_BR ru_RU zh_CN zh_TW; do echo ""; echo "# LANG=$L.UTF-8 subscription-manager redeem --email=test"; LANG=$L.UTF-8 subscription-manager redeem --email=test; done;

# LANG=en_US.UTF-8 subscription-manager redeem --email=test
HTTP error code 500: The system is unable to redeem the requested subscription: 

# LANG=de_DE.UTF-8 subscription-manager redeem --email=test
HTTP-Fehlercode 500: Das System kann die angeforderte Subskriptionsaktivierung  nicht verarbeiten

# LANG=es_ES.UTF-8 subscription-manager redeem --email=test
Código de error HTTP 500: El sistema no puede redimir la suscripción solicitada: 

# LANG=fr_FR.UTF-8 subscription-manager redeem --email=test
Code erreur HTTP 500: Le système est incapable de réclamer labonnement demandé : {0}

# LANG=it_IT.UTF-8 subscription-manager redeem --email=test
Codice di errore HTTP 500: Il sistema non è in grado di redimere la sottoscrizione richiesta 

# LANG=ja_JP.UTF-8 subscription-manager redeem --email=test
HTTP エラーコード 500: システムは要求されたサブスクリプション:  の償還をできません

# LANG=ko_KR.UTF-8 subscription-manager redeem --email=test
HTTP 오류 코드 500: 시스템이 요청된 서브스크립션을 교환할 수 없습니다: 

# LANG=pt_BR.UTF-8 subscription-manager redeem --email=test
Código de erro HTTP 500: The system is unable to redeem the requested subscription:    <============== FAILED LANG=pt_BR.UTF-8

# LANG=ru_RU.UTF-8 subscription-manager redeem --email=test
Код ошибки HTTP 500: Система не смогла получить подписку: 

# LANG=zh_CN.UTF-8 subscription-manager redeem --email=test
HTTP 错误代码 500: The system is unable to redeem the requested subscription:     <============== FAILED LANG=zh_CN.UTF-8

# LANG=zh_TW.UTF-8 subscription-manager redeem --email=test
HTTP錯誤代碼 500: The system is unable to redeem the requested subscription:     <============== FAILED LANG=zh_TW.UTF-8

Comment 5 Lijun Li 2019-10-15 07:04:56 UTC
Reproduced on latest rhel8.1 build.
# subscription-manager redeem --email=test
HTTP error code 500: The system is unable to redeem the requested subscription:

Comment 6 Krishna Babu K 2019-10-16 07:49:36 UTC
Results for fr_FR locale

rpm -qa | grep subscription-manager
python3-subscription-manager-rhsm-1.25.17-1.el8.x86_64
subscription-manager-cockpit-1.25.17-1.el8.noarch
subscription-manager-initial-setup-addon-1.25.17-1.el8.x86_64
dnf-plugin-subscription-manager-1.25.17-1.el8.x86_64
subscription-manager-rhsm-certificates-1.25.17-1.el8.x86_64
subscription-manager-1.25.17-1.el8.x86_64
subscription-manager-plugin-container-1.25.17-1.el8.x86_64

[~]$ sudo subscription-manager redeem --email=test
HTTP error code 500: Le système est incapable de réclamer labonnement demandé : {0}

Comment 7 Lijun Li 2020-09-07 08:48:41 UTC
Reproduced on latest rhel8.3 build, 'HTTP error code 500' not localized for some langs.

[root@localhost ~]# for L in en_US de_DE es_ES fr_FR it_IT ja_JP ko_KR pt_BR ru_RU zh_CN zh_TW; do echo ""; echo "# LANG=$L.UTF-8 subscription-manager redeem --email=test"; LANG=$L.UTF-8 subscription-manager redeem --email=test; done;

# LANG=en_US.UTF-8 subscription-manager redeem --email=test
HTTP error code 500: The system is unable to redeem the requested subscription: 

# LANG=de_DE.UTF-8 subscription-manager redeem --email=test
HTTP error code 500: Das System kann die angeforderte Subskriptionsaktivierung  nicht verarbeiten

# LANG=es_ES.UTF-8 subscription-manager redeem --email=test
HTTP error code 500: El sistema no puede redimir la suscripción solicitada: 

# LANG=fr_FR.UTF-8 subscription-manager redeem --email=test
Code d'erreur HTTP 500: Le système est incapable de réclamer labonnement demandé : {0}

# LANG=it_IT.UTF-8 subscription-manager redeem --email=test
HTTP error code 500: Il sistema non è in grado di redimere la sottoscrizione richiesta 

# LANG=ja_JP.UTF-8 subscription-manager redeem --email=test
HTTP のエラーコード 500: システムは要求されたサブスクリプション:  の償還をできません

# LANG=ko_KR.UTF-8 subscription-manager redeem --email=test
HTTP 오류 코드 500: 시스템이 요청된 서브스크립션을 교환할 수 없습니다: 

# LANG=pt_BR.UTF-8 subscription-manager redeem --email=test
HTTP error code 500: O sistema não pode recuperar a subscrição requisitada: 

# LANG=ru_RU.UTF-8 subscription-manager redeem --email=test
HTTP error code 500: Система не смогла получить подписку: 

# LANG=zh_CN.UTF-8 subscription-manager redeem --email=test
HTTP 错误代码 500: 系统无法兑换请求的订阅:

# LANG=zh_TW.UTF-8 subscription-manager redeem --email=test
HTTP error code 500: 系統無法兌換請求的訂閱:
[root@localhost ~]# rpm -q subscription-manager
subscription-manager-1.27.15-1.el8.x86_64

Comment 10 RHEL Program Management 2021-02-01 07:31:36 UTC
After evaluating this issue, there are no plans to address it further or fix it in an upcoming release.  Therefore, it is being closed.  If plans change such that this issue will be fixed in an upcoming release, then the bug can be reopened.

Comment 11 Pino Toscano 2021-05-13 08:11:25 UTC
Moving the closing status to CURRENTRELEASE: older versions were fully translatable, however not completely translated in all the languages.


Note You need to log in before you can comment on or make changes to this bug.